"use strict";
const __vanilla_filescope__ = require("@vanilla-extract/css/fileScope");
const cssUtils = require("@vanilla-extract/css-utils");
const css = require("@vanilla-extract/css");
const styles_lib_themes_vars_css_cjs = require("../../themes/vars.css.cjs");
__vanilla_filescope__.setFileScope("src/lib/components/Textarea/Textarea.css.ts", "braid-design-system");
const field = css.style({
  resize: "vertical",
  background: "transparent",
  minHeight: cssUtils.calc.multiply(styles_lib_themes_vars_css_cjs.vars.grid, 15)
}, "field");
const highlights = css.style({
  color: "transparent !important",
  wordBreak: "break-word",
  whiteSpace: "pre-wrap",
  ":after": {
    content: '"\\A"'
  }
}, "highlights");
__vanilla_filescope__.endFileScope();
exports.field = field;
exports.highlights = highlights;
